> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Trust Center videos

> Lists the videos displayed on a Trust Center, in display order. Send a
video's id back when setting videos to keep that video.



## OpenAPI

````yaml /reference/manage-vanta.json get /trust-centers/{slugId}/videos
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /trust-centers/{slugId}/videos:
    get:
      tags:
        - Trust Centers
      summary: List Trust Center videos
      description: |-
        Lists the videos displayed on a Trust Center, in display order. Send a
        video's id back when setting videos to keep that video.
      operationId: ListTrustCenterVideos
      parameters:
        - in: path
          name: slugId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArrayResponse_TrustCenterVideo_'
              examples:
                Example 1:
                  value:
                    results:
                      - id: a2f7e1b9d0c3f4e5a6c7b8d9
                        url: https://www.youtube.com/watch?v=dQw4w9WgXcQ
                        title: Product security overview
                        description: An overview of our security practices
      security:
        - bearerAuth: []
components:
  schemas:
    ArrayResponse_TrustCenterVideo_:
      properties:
        results:
          items:
            $ref: '#/components/schemas/TrustCenterVideo'
          type: array
      required:
        - results
      type: object
      additionalProperties: false
    TrustCenterVideo:
      properties:
        id:
          type: string
          description: >-
            Unique identifier for the video. Send it back on PUT to keep the
            video.
        url:
          type: string
          description: Canonical URL for the video.
        title:
          type: string
          description: Title of the video.
        description:
          type: string
          nullable: true
          description: Description of the video.
      required:
        - id
        - url
        - title
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [Set Trust Center videos](https://developer.vanta.com/api-reference/trust-centers/set-trust-center-videos.md)
- [List Trust Center viewer activity events](https://developer.vanta.com/api-reference/trust-centers/list-trust-center-viewer-activity-events.md)
- [List Trust Center resources](https://developer.vanta.com/api-reference/trust-centers/list-trust-center-resources.md)
- [List Trust Center subprocessors](https://developer.vanta.com/api-reference/trust-centers/list-trust-center-subprocessors.md)
- [List Trust Center subscribers](https://developer.vanta.com/api-reference/trust-centers/list-trust-center-subscribers.md)
